Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.templates
Class PageTemplateLocator

    java.lang.Object
      org.apache.tapestry5.internal.services.templates.PageTemplateLocator

All Implemented Interfaces:
  ComponentTemplateLocator

    public class PageTemplateLocator

extends java.lang.Object
implements ComponentTemplateLocator

The special case for pages, where the template is searched for in the web application context.

Since:
  5.2.0

Constructor Summary
`PageTemplateLocator(Resource contextRoot, ComponentClassResolver resolver, java.lang.String applicationFolder)`

Method Summary
`Resource` | `locateTemplate(ComponentModel model, java.util.Locale locale)` Locates the template for the given model as a `Resource`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageTemplateLocator

    public PageTemplateLocator(Resource contextRoot,
                               ComponentClassResolver resolver,
                               java.lang.String applicationFolder)

Method Detail

### locateTemplate

    public Resource locateTemplate(ComponentModel model,
                                   java.util.Locale locale)

  Description copied from interface: `ComponentTemplateLocator`
  Locates the template for the given model as a `Resource`.

  Specified by:
    `locateTemplate` in interface `ComponentTemplateLocator`
  Parameters:
    `model` - defines the component, especially its base resource
    `locale` - to which the
  Returns:
    localized template resource if found, or null if not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.